#ifndef CAMERA_H
#define CAMERA_H

#include <nodelet/nodelet.h>
#include <ros/ros.h>
#include "boost/thread.hpp"

namespace car
{
	class Camera : public nodelet::Nodelet
	{
		public:
			virtual void onInit();
			Camera(ros::NodeHandle &nh, std::string &name);
			Camera();
			~Camera();
		private:
			ros::NodeHandle nh_;
			std::string name_;
			ros::Publisher camData;
      boost::thread main;
	};
}
#endif
